/*Ghassan Fakher
 * section 6
 * 201301739
 * gkf01*/

import java.awt.Color;
public class CheckerBoard {
	public static void main(String[] args)
	{
		int x0 = 0; int x1 = 10;	
		int y0 = 0; int y1 = 10;
		int length = args.length;	 //number of squares of circles
		double border = x1 / 3;		//represents the border each square of circles should occupy
		double x = 0; double y = 0;
		StdDraw.setXscale(x0, x1);
		StdDraw.setYscale(y0, y1);
		for(int i = 0; i < length; i++)
		{
			int N = Integer.parseInt(args[i]);
			double r = (x1 / 3. - 2.25) / N ;	 //radius depends on the scale of x and y. -2 because it represents the distance between two boxes 
			double positionX = border * i;	//keeps track of the initial position of the ball to place in on the canvas
			x = positionX;	
			drawBoard(x1, N, length,x ,y,r,positionX);
			
		}
	}
	//method that draws the three desired boxes on the same canvas
	public static void drawBoard(int x1,int N, int length, double x, double y,double r, double positionX)
	{
		
		for(int row = 1; row <= N; row++)
		{
			for(int column = 1 ; column <= N; column++)
			{
				if((column + row )% 2 == 0)
				{
					StdDraw.setPenColor(Color.RED);
					StdDraw.filledCircle(x,y,r);
				}
				else
				{
					StdDraw.setPenColor(Color.BLACK);
					StdDraw.filledCircle(x, y, r);
				}
				x = x + 2*r;	//the position of x gets updates according to the radius
			}
			x = positionX;
			y = y +2*r;		//the ordinate of the box gets updated by twice the radius
		}
		y = 0.;	//resets y to 0 after completing the drawing
	}
}

